People
Offboard people
Offboard a list of people. A person is only eligible for offboarding completion when:
- They are an ex-employee.
- All of the person’s monitored accounts are deactivated or manually overwritten as such.
- All of a person’s custom offboarding tasks have been completed. All of the person’s unmonitored accounts will be automatically marked as deactivated when they are offboarded. If the person has unfinished offboarding tasks those will NOT automatically be completed and offboarding them will fail.
POST
/
people
/
offboard
Offboard people
curl --request POST \
--url https://api.vanta.com/v1/people/offboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"acknowledgerId": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://api.vanta.com/v1/people/offboard"
payload = { "updates": [
{
"acknowledgerId": "<string>",
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{acknowledgerId: '<string>', id: '<string>'}]})
};
fetch('https://api.vanta.com/v1/people/offboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "65e1efde08e8478f143a8ff9",
"status": "SUCCESS"
},
{
"id": "OTHER_USER_ID",
"status": "ERROR",
"message": "Invalid Input"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of the people to offboard.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
200 - application/json
Ok
List of results matching the length and order of the request
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Offboard people
